import request from '@/utils/request'

// 查询多数据源配置列表
export function listDruid(query) {
  return request({
    url: '/druidConfig/list',
    method: 'get',
    params: query
  })
}

// // 查询多数据源配置详细
// export function getDruid(id) {
//   return request({
//     url: '/druidConfig/' + id,
//     method: 'get'
//   })
// }

// 新增多数据源配置
export function addDruid(data) {
  return request({
    url: '/druidConfig',
    method: 'post',
    data: data
  })
}

// 修改多数据源配置
export function updateDruid(data) {
  return request({
    url: '/druidConfig',
    method: 'post',
    data: data
  })
}

// 删除多数据源配置
export function delDruid(propertyName) {
  return request({
    url: '/druidConfig/' + propertyName,
    method: 'delete'
  })
}


// 通过下载路径下载数据库驱动
export function driverClassDownload(data) {
  return request({
    url: '/druidConfig/driverClassDownload',
    method: 'post',
    data: data
  })
}

